FIX::ThreadedSocketAcceptor::AcceptorThreadInfo Struct Reference
Collaboration diagram for FIX::ThreadedSocketAcceptor::AcceptorThreadInfo:
[legend]

## Public Member Functions

| AcceptorThreadInfo (ThreadedSocketAcceptor *pAcceptor, int socket, int port)

## Public Attributes

ThreadedSocketAcceptor * | m_pAcceptor
int | m_socket
int | m_port

## Detailed Description

Definition at line 49 of file ThreadedSocketAcceptor.h.

## Constructor & Destructor Documentation

## AcceptorThreadInfo()

FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::AcceptorThreadInfo | ( | ThreadedSocketAcceptor * | pAcceptor,
|  | int | socket,
|  | int | port
| ) |  |

inline

Definition at line 51 of file ThreadedSocketAcceptor.h.

: m_pAcceptor( pAcceptor ), m_socket( socket ), m_port( port ) {}
FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_socket
int m_socket
Definition ThreadedSocketAcceptor.h:55
FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_pAcceptor
ThreadedSocketAcceptor * m_pAcceptor
Definition ThreadedSocketAcceptor.h:54
FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_port
int m_port
Definition ThreadedSocketAcceptor.h:56

## Member Data Documentation

## m_pAcceptor

ThreadedSocketAcceptor* FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_pAcceptor

Definition at line 54 of file ThreadedSocketAcceptor.h.

Referenced by FIX::ThreadedSocketAcceptor::socketAcceptorThread().

## m_port

int FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_port

Definition at line 56 of file ThreadedSocketAcceptor.h.

Referenced by FIX::ThreadedSocketAcceptor::socketAcceptorThread().

## m_socket

int FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_socket

Definition at line 55 of file ThreadedSocketAcceptor.h.

Referenced by FIX::ThreadedSocketAcceptor::socketAcceptorThread().

The documentation for this struct was generated from the following file:

- ThreadedSocketAcceptor.h